/*
  error.c

  Copyright 20-Nov-2002 MBARI
  Written: 20-Nov-2002 Mark Sibenac
  Last mod: 20-Nov-2002 sib - creation

  Bluefin Battery Charger error functions
*/

#include <errno.h>
#include <stdarg.h>
#include <stdio.h>

#include "error.h"


#ifdef _QNX
int DEBUG(int level, char *str, ...) 
{
  va_list arg_list; 
  if (level <= DEBUG_LEVEL) { 
     va_start (arg_list, str);
     return (vfprintf (stderr, str, arg_list));
     va_end (arg_list); 
  }
  return 0; 
}
#endif

#ifdef _QNX
int ERROR(char *str, ...) 
{
  va_list arg_list;
  fprintf (stderr, "%s:%d:", __FILE__, __LINE__);
  va_start (arg_list, str);
  return (vfprintf (stderr, str, arg_list));
  va_end (arg_list);
  return 0;
}
#endif

void __dummy__ (void)
{
 return;
}

